/* dojo/_base/event */

/**
 * This module defines dojo DOM event API.   Usually you should use dojo/on, and evt.stopPropagation() +
 * evt.preventDefault(), rather than this module.
 */
interface EventModule {
    /**
     * normalizes properties on the event object including event
     * bubbling methods, keystroke normalization, and x/y positions
     */
    fix(evt: Event, sender: Element): Event;

    /**
     * prevents propagation and clobbers the default action of the
     * passed event
     */
    stop(evt: Event): void;
}

declare const dojoEvent: EventModule;
export = dojoEvent;
